<?php

namespace BULKYWP\Includes;

defined( 'ABSPATH' ) || exit;

class Support {

	protected static $instance = null;

	public function __construct() {
		$this->check_update();
		$this->support();
	}

	public static function instance() {
		return self::$instance == null ? self::$instance = new self : self::$instance;
	}

	public function support() {
		if ( ! class_exists( 'VillaTheme_Support_Pro' ) ) {
			include_once BULKYWP_CONST['plugin_dir'] . 'support/support.php';
		}
		new \VillaTheme_Support_Pro(
			array(
				'support'   => 'https://villatheme.com/supports/forum/plugins/wpbulky-wordpress-bulk-edit-post-types',
				'docs'      => 'http://docs.villatheme.com/?item=wpbulky-wordpress-bulk-edit-post-types',
				'review'    => 'https://codecanyon.net/downloads',
				'css'       => BULKYWP_CONST['dist_url'],
				'image'     => BULKYWP_CONST['img_url'],
				'slug'      => BULKYWP_CONST['slug'],
				'menu_slug' => 'vi_wpbulky_settings',
				'version'   => BULKYWP_CONST['version']
			)
		);
	}

	public function check_update() {
		if ( ! class_exists( 'VillaTheme_Plugin_Check_Update' ) ) {
			include_once BULKYWP_CONST['plugin_dir'] . 'support/check_update.php';
		}

		if ( ! class_exists( 'VillaTheme_Plugin_Updater' ) ) {
			include_once BULKYWP_CONST['plugin_dir'] . 'support/update.php';
		}

		$setting_url = admin_url( 'admin.php?page=vi_wpbulky_settings#/update' );
		$key         = get_option( 'vi_wpbulky_auto_update_key' );

		new \VillaTheme_Plugin_Check_Update (
			BULKYWP_CONST['version'],                    // current version
			'https://villatheme.com/wp-json/downloads/v3',  // update path
			BULKYWP_CONST['basename'],                  // plugin file slug
			BULKYWP_CONST['full_slug'],
			BULKYWP_CONST['auto_update_id'],
			$key,
			$setting_url
		);

		new \VillaTheme_Plugin_Updater( BULKYWP_CONST['basename'], 'woocommerce-bulk-edit', $setting_url );
	}
}